Qore Programming Language 0.8.8

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | List of all members
DateTimeValueHelper Class Reference

manages calls to AbstractQoreNode::getDateTimeRepresentation() when a simple DateTime value is required More...

`#include <DateTimeNode.h>`

## Public Member Functions
DLLLOCAL | DateTimeValueHelper (const AbstractQoreNode *n)
| gets the DateTime value and set the delete flag
DLLLOCAL | ~DateTimeValueHelper ()
| deletes the DateTime value being managed if necessary

## Detailed Description

manages calls to AbstractQoreNode::getDateTimeRepresentation() when a simple DateTime value is required

calls to this function include a flag that indicates if the value should be deleted or not afterwards; this class manages the return value in an easy and exception-safe way if a DateTimeNode value is required instead, use DateTimeNodeValueHelper

See Also
  DateTimeNodeValueHelper

The documentation for this class was generated from the following file:

- include/qore/DateTimeNode.h (6086)